[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Package libc6-dev depends on linux-kernel-headers

On Mon, Nov 03, 2003 at 08:23:14PM +0100, Andreas Metzler wrote:
> Jonathan Dowland <jmtd@bylands.dur.ac.uk> wrote:
> > I don't know whether this package needs to match the kernel version or
> > not, but if not I think the name is poorly chosen.
> So your "substantive reason" is: "The name of the new package is
> poorly chosen."? - I don't think so, it describes the contents rather
> well, doesn't it?

Well, the package contains the header files appropriate to libc. It has
been mentioned that these headers are mostly 'private' to libc, that is,
applications should rarely include them. The headers do not need to
match the kernel version - but calling the package
'linux-kernel-headers' gives a strong association between itself and the
linux kernel.

In what situation would the linux-kernel-headers package be needed
seperate from libc?

Jon Dowland

Reply to: